proxy-providers:
  MAGI:
    type: http
    path: ./providers/magi.yaml
    url: https://sub-store-backend.ddtw.site/download/MAGI
    interval: -1
  ASH:
    type: http
    path: ./providers/ash.yaml
    url: https://sub-store-backend.ddtw.site/download/ASH
    interval: -1

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - DIRECT
    use:
      - MAGI
      - ASH

mixed-port: 16077
port: 16078
socks-port: 16079
mode: rule
ipv6: true
allow-lan: false
log-level: error
find-process-mode: strict
global-client-fingerprint: chrome
tcp-concurrent: true
unified-delay: false

geodata-mode: true
geodata-loader: standard
geo-auto-update: true
geo-update-interval: 24
geox-url:
  geoip: "https://bandwagonhost.ddtw.site/files/Geodata/geoip.dat"
  geosite: "https://bandwagonhost.ddtw.site/files/Geodata/geosite.dat"
  mmdb: "https://bandwagonhost.ddtw.site/files/Geodata/country.mmdb"
  asn: "https://bandwagonhost.ddtw.site/files/Geodata/GeoLite2-ASN.mmdb"

dns:
  enable: true
  listen: 127.0.0.1:16053
  default-nameserver:
    - 119.29.29.29
    - 223.5.5.5
  nameserver:
    - 119.29.29.29
    - 223.5.5.5
  fallback:
    - 1.1.1.1
    - 8.8.8.8
  fallback-filter:
    geoip: true
    geoip-code: CN
    geosite:
      - gfw
  cache-algorithm: lru
  ipv6: false
  prefer-h3: false
  respect-rules: false
  use-hosts: true
  use-system-hosts: true
  enhanced-mode: redir-host
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter-mode: blacklist
  fake-ip-filter:
    - "*.lan"

sniffer:
  enable: false
  sniff:
    HTTP:
      ports: [80, 8080-8880]
    TLS:
      ports: [443, 8443]
    QUIC:
      ports: [443, 8443]
  skip-domain:
    - Mijia Cloud
    - "+.push.apple.com"

tun:
  enable: true
  stack: mixed
  auto-route: true
  auto-redirect: true
  auto-detect-interface: true
  dns-hijack:
    - any:53
    # - tcp://any:53

rules:
  # 自定义规则
  - DOMAIN-SUFFIX,docstransfer.com,DIRECT
  - DOMAIN-SUFFIX,ddtw.site,DIRECT
  - DOMAIN-KEYWORD,googleapis,PROXY
  # 最终规则
  - GEOSITE,private,DIRECT
  - GEOSITE,cn,DIRECT
  - GEOIP,private,DIRECT
  - GEOIP,cn,DIRECT
  - MATCH,PROXY
